package com.rjconsultores.ventaboletos.vo.embarcada;

public class UsuarioEmbarcadaVO {
	private Long usuarioId;
	private String nome;
	private String cveusuario;
	private String senha;
	private String email;

	public UsuarioEmbarcadaVO() {
	}

	public UsuarioEmbarcadaVO(Long usuarioId, String nome, String cveusuario, String senha, String email) {
		super();
		this.usuarioId = usuarioId;
		this.nome = nome;
		this.cveusuario = cveusuario;
		this.senha = senha;
		this.email = email;
	}

	public Long getUsuarioId() {
		return usuarioId;
	}

	public void setUsuarioId(Long usuarioId) {
		this.usuarioId = usuarioId;
	}

	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public String getCveusuario() {
		return cveusuario;
	}

	public void setCveusuario(String cveusuario) {
		this.cveusuario = cveusuario;
	}

	public String getSenha() {
		return senha;
	}

	public void setSenha(String senha) {
		this.senha = senha;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	@Override
	public boolean equals(Object obj) {
		if (((UsuarioEmbarcadaVO) obj).usuarioId != null && usuarioId != null &&
				((UsuarioEmbarcadaVO) obj).usuarioId.intValue() == usuarioId.intValue()) {
			return true;
		}

		return false;
	}
}
